Skip to main content

Account Change

Description​

When changes occur in the static amount of the account, such as margin freezing or releasing, funding rate settlements, and realized PnLs, the following account-related information will be pushed.

Pushing Frequency​

Real Time

Channel​

account

Request Parameters​

ParameterRequiredTypeDescription
eventYesStringOperation: subscribe, unsubscribe
channelYesArrayaccount

Request Response​

ParameterTypeDescription
eventStringOperation: subscribe, unsubscribe
channelStringaccount
messageStringError message

Push Data​

ParameterTypeDescription
channelStringaccount
dataArrayThe subscribed data
> stateStringAccount Status
> eqStringequity in assets
> isoEqStringIsolated asset equity
> imStringInitial margin = cross position margin + cross position pending order freezing
> mmStringAccount maintenance margin
> mmrStringAccount maintenance margin rate
> uplStringunrealized profit or loss-cross
> availMgnStringAvailable margin
> detailsArray
> details.ccyStringCurrency
> details.eqStringAsset equity of this currency
> details.isoEqStringIsolated position equity of this currency = isoAvail + isoUpl + isoHold
> details.availStringThe currency is available
> details.uplStringunrealized profit or loss
> details.isoAvailStringIsolated margin of this currency - Isolated position frozen
> details.isoHoldStringThis currency’s isolated margin orders are frozen
> details.isoUplStringIsolated position unrealized profit and loss
> details.imStringInitial margin of this currency
> details.imrStringThe initial margin rate of this currency, single currency mode
> details.mmStringThe currency maintenance margin
> details.mmrStringThis currency maintains a margin rate
> details.cTimeStringcreation time
> details.uTimeStringUpdate time
> cTimeStringAccount creation time
> uTimeStringAccount update time
> tsLongPush time (millisecond)

Request Example​

{
"event": "subscribe",
"channel": ["account"],
"symbols": ["BTC_USDT_PERP"]
}

Push Data Example​

{
"channel": "account",
"data": [
{
"state": "NORMAL",
"eq": "9604385.495986629521985415",
"isoEq": "0",
"im": "281.27482",
"mm": "65.7758462",
"mmr": "0.000006848522086861",
"upl": "702.005423182573616772",
"availMgn": "9604104.221166629521985415",
"details": [
{
"ccy": "USDT",
"eq": "9604385.495986629521985415",
"isoEq": "0",
"avail": "9603683.490563446948368643",
"upl": "702.005423182573616772",
"isoAvail": "0",
"isoHold": "0",
"isoUpl": "0",
"im": "281.27482",
"imr": "0.000029286081875569",
"mm": "65.7758462",
"mmr": "0.000006848522086861",
"cTime": 1723431998599,
"uTime": 1725329576649
}
],
"cTime": 1689326308656,
"uTime": 1725329576649,
"ts": 1725329576659
}
]
}